Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape.input
Class ShxInputStream

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.input.ShxInputStream

public class ShxInputStream
extends java.lang.Object

Reads index data from a .shx file

Author:
  Doug Van Auken

Constructor Summary
`ShxInputStream(java.io.InputStream is)` Chains an input stream with a Little EndianInputStream

Method Summary
`void` | `close()`
`int[][]` | `getIndex()` Processes the SHX file to obtain a list of offsets, which classes derived from AbstractSupport will use to iterate through the associated SHP file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShxInputStream

    public ShxInputStream(java.io.InputStream is)

  Chains an input stream with a Little EndianInputStream

Method Detail

### getIndex

    public int[][] getIndex()

  Processes the SHX file to obtain a list of offsets, which classes derived from AbstractSupport will use to iterate through the associated SHP file

  Returns:
    an array of offsets, which will be passed into the open method of classes which extend AbstractSupport.

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details